package pathgame.utils;

import java.util.Random;
import pathgame.tilemap.TileMap;
import pathgame.tilemap.Tiles;

public class TestUtils
{
    /** Returns a random test map.
     *
     * @param width the width of the map
     * @param height the height of the map
     * @return a random test map
     */
    public static TileMap getTestMap(int width, int height)
    {
        Random r = new Random();
        
        TileMap map = new TileMap(width, height);
        for(int x = 0; x < width; x++)
        {
            for(int y = 0; y < height; y++)
            {
                switch(r.nextInt(3))
                {
                    case 0: map.setTile(x, y, Tiles.GRASS); break;
                    case 1: map.setTile(x, y, Tiles.HILL); break;
                    case 2: map.setTile(x, y, Tiles.MOUNTAIN); break;
                }
            }
        }
        return map;
    }
}
